Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.xml.security.assertion
Class IdentityAssertion

    java.lang.Object
      |
      +--weblogic.xml.security.assertion.IdentityAssertion

public class IdentityAssertion
extends java.lang.Object
implements SecurityAssertion

IdentityAssertion.java This class represents an assertion about the identity of the sender. Created: Thu Aug 8 09:05:04 2002

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `NO_PROOF`
`static int` | `POSSESSION_PROOF` An IdentityAssertion with proof type `POSSESSION_PROOF` is one that is backed by proof of possession of some unique identifying information.
`static int` | `SHARED_SECRET_PROOF` An IdentityAssertion with the proof type of `SHARED_SECRET_PROOF` is one that is backed by the presentation of a shared secret -- i.e.
`static java.lang.String` | `STRING_NO_PROOF`
`static java.lang.String` | `STRING_POSSESSION_PROOF`
`static java.lang.String` | `STRING_SHARED_SECRET_PROOF`

Constructor Summary
`IdentityAssertion(UserInfo user)`
`IdentityAssertion(java.security.cert.X509Certificate cert, boolean proven)`

Method Summary
`java.lang.String` | `getAssertionType()`
`int` | `getAssertionTypeCode()`
`int` | `getProofType()` Returns the type of proof that was used to back this assertion.
`UserInfo` | `getUserInfo()` If this is a proof based on a username / password (i.e.
`java.security.cert.X509Certificate` | `getX509Certificate()` If the proof is based on an X509Certificate (i.e.
`boolean` | `isAssertionType(java.lang.String assertionType)`
`java.lang.String` | `proofAsString()`
`boolean` | `repudiable()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_PROOF

    public static final int NO_PROOF

### STRING_NO_PROOF

    public static final java.lang.String STRING_NO_PROOF

### POSSESSION_PROOF

    public static final int POSSESSION_PROOF

  An IdentityAssertion with proof type `POSSESSION_PROOF` is one that is backed by proof of possession of some unique identifying information. A most common proof is a Digital Signature backed by a digital signature -- the signature proves the sender has possession of the associated private key. Another common proof of possession is a a password digest, when computed with a nonce and/or timestamp.

### STRING_POSSESSION_PROOF

    public static final java.lang.String STRING_POSSESSION_PROOF

### SHARED_SECRET_PROOF

    public static final int SHARED_SECRET_PROOF

  An IdentityAssertion with the proof type of `SHARED_SECRET_PROOF` is one that is backed by the presentation of a shared secret -- i.e. by the presentation of a password.

### STRING_SHARED_SECRET_PROOF

    public static final java.lang.String STRING_SHARED_SECRET_PROOF

Constructor Detail

### IdentityAssertion

    public IdentityAssertion(UserInfo user)

### IdentityAssertion

    public IdentityAssertion(java.security.cert.X509Certificate cert,
                             boolean proven)

Method Detail

### getAssertionType

    public java.lang.String getAssertionType()

  Specified by:
    getAssertionType in interface SecurityAssertion

### getAssertionTypeCode

    public int getAssertionTypeCode()

  Specified by:
    getAssertionTypeCode in interface SecurityAssertion

### isAssertionType

    public boolean isAssertionType(java.lang.String assertionType)

  Specified by:
    isAssertionType in interface SecurityAssertion

### repudiable

    public boolean repudiable()

  Specified by:
    repudiable in interface SecurityAssertion

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### proofAsString

    public java.lang.String proofAsString()

### getProofType

    public int getProofType()

  Returns the type of proof that was used to back this assertion. Currently there are two types supported: proof-of-possession and shared-secret.

  Returns:
    a `String` value
  See Also:
    `POSSESSION_PROOF`, `SHARED_SECRET_PROOF`

### getUserInfo

    public UserInfo getUserInfo()

  If this is a proof based on a username / password (i.e. of type SHARED_SECRET_PROOF), returns the available UserInfo.

  Returns:
    an `UserInfo` value

### getX509Certificate

    public java.security.cert.X509Certificate getX509Certificate()

  If the proof is based on an X509Certificate (i.e. of type POSSESSION_PROOF), this returns the X509Certificate.

  Returns:
    an `UserInfo` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD